<div class="container">
  <h1 class="text-center my-2">Dungeonmaster</h1>
  <hr class="my-3" />
  <div class="row">
  <div class="col-md-6 card">
    <h2 class="text-center my-3">Spieleranfragen</h2>
    <div class="card">
      <h6 class="card-header">Nachrichten:</h6>
      <div *ngFor="let message of playerMessages">
        <p>{{message}}</p>
      </div>
    </div>
    <div class="card my-2">
      <h6 class="card-header">Nachrichten senden:</h6>
    <form [formGroup]="playerChatForm" (ngSubmit)="sendPlayerMessage()">
      <div class="my-2">

          <label for="form4">Optionen:</label>
          <ul>
            <li>player SpielerID</li>
            <li>room RoomID</li>
          </ul>
          <input id="form4" class="form-control mb-4" formControlName="command" placeholder="Optionen">


          <label for="form5">Nachricht</label>
          <input id="form5" class="form-control mb-4" formControlName="input" placeholder="Nachricht">
      </div>
      <div>
        <button mdbBtn color="red" type="submit" [disabled]="playerChatForm.invalid">Nachricht senden</button>
      </div>
    </form>
    </div>
  </div>
  <div class="col-md-6 card">
    <h2 class="text-center my-3">Dungeoninformation
      <button mdbBtn style="padding: 2px" color="elegant" (click)="refreshDungeonInfo()">
        <mdb-icon fas icon="sync" size="3x"></mdb-icon>
      </button>
    </h2>
    <div>
      <p>{{dungeonInfo}}</p>
    </div>
    <h3>Aktionen</h3>
    <form [formGroup]="actionForm" (ngSubmit)="fireAction()">
      <div>
        <label>
          <p style="margin: 16px 0px 0px 0px">Optionen:</p>
          <ul>
            <li>change room (playerID;roomID als Inhalt)</li>
            <li>interact object (UserID;Objektname als Inhalt)</li>
            <li>add object (roomID;Objekt om JSON als Inhalt)</li>
            <li>delete object (roomID;Objectname als Inhalt)</li>
            <li>add npc (roomID;NPC in JSON als Inhalt)</li>
            <li>delete npc (roomID;NPCname als Inhalt)</li>
            <li>change attribute (userID;Charakter in JSON als Inhalt)</li>
          </ul>
          <div>
            <p style="margin: 16px 0px 0px 0px">Befehl:</p>
            <select class="browser-default custom-select" formControlName="command">
              <option>change room</option>
              <option>interact object</option>
              <option>add object</option>
              <option>delete object</option>
              <option>add npc</option>
              <option>delete npc</option>
              <option>change attribute</option>
            </select>
          </div>
        </label>
      </div>
      <div>
          <label for="form7">Eingabe: (wie in Optionen beschrieben)</label>
          <textarea type="text" id="form7" class="md-textarea md-textarea-auto form-control"  mdbInput formControlName="input" placeholder="Eingabe"></textarea>
      </div>
      <button mdbBtn color="red" type="submit" [disabled]="actionForm.invalid">Befehl ausführen</button>
    </form>
  </div>
  </div>
  <div>
    <button mdbBtn color="red" class="my-4" (click)="quit()">Dungeon schließen</button>
  </div>
</div>
